Package uk.co.mccombe.util

# Class ErrorMessage

java.lang.Object
uk.co.mccombe.util.ErrorMessage

public class ErrorMessage extends Object

## Constructor Summary

Constructors
Constructor
Description
`ErrorMessage()`
Creates a new instance of ErrorMessage
`ErrorMessage(String error)`
`ErrorMessage(String errorText, Severity level)`

## Method Summary

Modifier and Type
Method
Description
`String`
`errorText()`
`Severity`
`severityLevel()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ErrorMessage

public ErrorMessage()
Creates a new instance of ErrorMessage

### ErrorMessage

public ErrorMessage(String error)

### ErrorMessage

public ErrorMessage(String errorText, Severity level)

## Method Details

### errorText

public String errorText()

### severityLevel

public Severity severityLevel()

### toString

public String toString()

Overrides:
  `toString` in class `Object`